Create offer
/AuthorizationBearer token · headerrequiredAPI token from the SIBI developer dashboard (developer.sibipro.com), sent as Authorization: Bearer <token>.
write:offersapplication/jsoncustomerCustomerrequiredShow propertiesHide properties
firstNamestringrequiredFirst name of the customer
lastNamestringrequiredLast name of the customer
emailstring<email>requiredValid email address of the customer
phonestringrequiredCustomer contact phone number in international format
addressobjectrequiredDelivery address details
Show propertiesHide properties
line1stringrequiredline2stringcitystringrequiredstateOrProvincestringrequiredpostalCodestringrequiredproductobjectrequiredReplacement product and add-ons covered by warranty
Show propertiesHide properties
skustringrequiredProduct SKU
manufacturerstringProduct manufacturer
gebestbuylowesaddonsobject[]Optional add-ons for the product. Each entry must specify at least one of id or sku. Use id for aggregate add-on groups (like Install or Disposal) and sku for individual recommended parts or add-on products.
Show propertiesHide properties
objectidstringThe id of an aggregate add-on group (e.g. Install, Disposal). Use the parent group id from the addOns array returned by GET /products/{sku}.
skustringThe sku of an individual add-on product or recommended part. Use the sku from the recommendedParts array returned by GET /products/{sku}.
quantityintegerrequiredsendOfferImmediatelybooleanWhether to send the offer email immediately after creation
allowCommonCarrierbooleanWhether to allow offers for common carrier delivery properties
externalJobIDstringbuyoutAmountnumberBuyout amount in cents (e.g., 50000 = $500.00). Customer can opt to receive this amount instead of a replacement product.
creditAmountintegerCredit amount in cents (e.g., 200000 = $2,000.00) that the customer has to spend in the marketplace. When omitted, defaults to the price of the replacement product and add-ons.
includeUpsellsbooleanWhether to include upsells in the offer
subBrandIdstringrequiredThe ID of the sub-brand used to determine customer-facing branding for the offer
Offer created successfully
idstringrequiredUnique identifier for the offer
addressobjectrequiredShow propertiesHide properties
line1stringrequiredline2stringcitystringrequiredstateOrProvincestringrequiredpostalCodestringrequiredcountrystringrequiredCountry of the property address
createdAtstring<date-time>requiredTimestamp when the offer was created
customerOfferLinkstringrequiredLink to allow the customer to authenticate and view the offer
warningsstring[]Warnings for the offer
Bad request - Invalid input data
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
objectfieldstringrequirederrorstringrequiredUnauthorized - Missing or invalid authentication
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
objectfieldstringrequirederrorstringrequiredForbidden - The presented token does not carry the required scope
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
objectfieldstringrequirederrorstringrequiredInternal server error
codestringrequiredError code indicating the type of error
messagestringrequiredHuman-readable error message explaining what went wrong
detailsobject[]Detailed validation errors when applicable
Show propertiesHide properties
objectfieldstringrequirederrorstringrequired